> ## Documentation Index
> Fetch the complete documentation index at: https://benzinga.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Government Trades

> Returns government official trades including transactions by members of the US House and Senate

<ResponseExample>
  ```json Response (200 OK) theme={null}
  {
      "data": [
          {
              "amendment_number": 0,
              "amount": "$1,001 - $15,000",
              "chamber": "House",
              "description": "Professionally Managed Account.",
              "disclosure_url": "https://disclosures-clerk.house.gov/public_disc/ptr-pdfs/2026/20034496.pdf",
              "filer_info": {
                  "chamber": "House",
                  "committees": {
                      "Committee on Foreign Affairs": [
                          "East Asia and Pacific",
                          "Western Hemisphere"
                      ],
                      "Committee on Homeland Security": [
                          "Border Security and Enforcement",
                          "Transportation and Maritime Security"
                      ],
                      "Committee on Science, Space, and Technology": [
                          "Energy",
                          "Research and Technology"
                      ]
                  },
                  "display_name": "Sheri Biggs",
                  "district": "3",
                  "headshot": "https://clerk.house.gov/content/assets/img/members/B001325.jpg",
                  "id": "67782294211dee338b2b86f2",
                  "leadership_positions": [],
                  "member_id": "B001325",
                  "member_name": "Sheri Biggs",
                  "party": "R",
                  "state": "SC",
                  "status": "Member",
                  "updated": 1781096558,
                  "website": ""
              },
              "id": "6a296077f07735f389b33f69",
              "notification_date": "2026-06-08",
              "ownership": "SP",
              "report_date": "2026-06-09",
              "report_id": "20034496",
              "security": {
                  "name": "Alphakeys Blackstone Life",
                  "ticker": "",
                  "type": ""
              },
              "transaction_date": "2026-04-28",
              "transaction_id": "e3b297fc9ab6ec13d9c099e4edede8ff70de242f",
              "transaction_type": "P",
              "updated": 1781096567
          }
      ]
  }
  ```

  ```json Response (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "Invalid or missing authentication token"
      }
    ]
  }
  ```

  ```json Response (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "No data found for the specified parameters"
      }
    ]
  }
  ```

  ```json Response (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "An unexpected error occurred while processing your request"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/calendar-api.spec.yml GET /api/v1/gov/usa/congress/trades
openapi: 3.0.0
info:
  contact: {}
  description: >-
    This REST API returns structured data for conference calls, dividends,
    earnings (and future earnings dates), economics, pharmaceutical
    announcements, guidance, IPOs, secondary offerings, ratings, M&A activity,
    and splits.
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v1/gov/usa/congress/trades:
    get:
      tags:
        - Government Trades
      summary: Government Trades
      description: >-
        Returns government official trades including transactions by members of
        the US House and Senate
      operationId: get-government-trades
      parameters:
        - description: >-
            Page offset. For optimization, performance and technical reasons,
            page offsets are limited from 0 - 100000. Limit the query results by
            other parameters such as date. Default is 0
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: Number of results returned. Limit 1000
          in: query
          name: pagesize
          schema:
            type: integer
            default: 100
        - description: Start date in YYYY-MM-DD format
          in: query
          name: date_from
          schema:
            type: string
            format: date
        - description: End date in YYYY-MM-DD format
          in: query
          name: date_to
          schema:
            type: string
            format: date
        - description: >-
            Records last Updated Unix timestamp (UTC). This will force the sort
            order to be Greater Than or Equal to the timestamp indicated
          in: query
          name: updated_since
          schema:
            type: integer
        - description: Date in YYYY-MM-DD format
          in: query
          name: date
          schema:
            type: string
            format: date
        - description: Chamber
          in: query
          name: chamber
          schema:
            type: string
            enum:
              - House
              - Senate
        - description: Fields
          in: query
          name: fields
          schema:
            type: string
        - description: Search keys type
          in: query
          name: search_keys_type
          schema:
            type: string
            enum:
              - report_id
              - ticker
        - description: Search keys
          in: query
          name: search_keys
          schema:
            type: string
      responses:
        '200':
          description: Government Trades
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/gitlab_benzinga_io_benzinga_bzgo_pkg_models_calendar-api.GovernmentTradeJSON
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    gitlab_benzinga_io_benzinga_bzgo_pkg_models_calendar-api.GovernmentTradeJSON:
      properties:
        data:
          items:
            additionalProperties: true
            type: object
          type: array
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````